<?php
##################################################
## Автор: -=ШАХТЕР=-                             #                                                                                                                                                                                 ## Сайт: http://masteram.us                 #                 															                      ## ICQ  :  46-92-90                         #                 														 		           ## Версия 4.0 Лицензионная                  #
## Данная версия скрипта является БЕСПЛАТНОЙ!    #
## Версия чата: voblja 4.1 LITE                  #
## Полная версия: 4.1 FUll                       #
## http://masteram.us - Закрытый клуб мастеров;) #
##################################################

require'config.php';
$align='left';

if (!ctype_digit($_GET['nk'])){header('Location: index?'.SID);die;}
$nk = intval($_GET['nk']);
$inf = $db->sql_fetchrow ($db->sql_query ("Select * from users where id='".$nk."'"));

if ($inf['id']!=$user['id'])$db->sql_query ("INSERT INTO oko (user_id,who_id,msg,time) VALUES ('$inf[id]','$user[id]','".check('Смотрит ваше Фото')."','$time')");

$title='Фото '.$inf[user];
aut();
head();
who_add(0,'enter');

echo '<a href="'.H.$inf['photo'].'"><img src="'.H.'photo_img?'.$inf['id'].'" alt="Фото"/></a><br /><a href="'.H.$inf['photo'].'">Скачать фото</a><br />';

if (isset($_GET['vote'])){
if ($user['posts']<$set['posts_vph'])echo '<b>Голосовать можно с '.$set['posts_vph'].' постов!</b><br />';
else{
if ($inf[id]==$user[id])echo '<b>За своё фото вы не можете голосовать!</b><br />';
else{
$db->sql_query ("Select * from vote_photo where user_id='".$inf[id]."' and vote_id='".$user[id]."'");
if (mysql_affected_rows()!=0){
echo $fs1;
echo "Вы уже голосовали за <b>".$inf[user]."</b>! Голос не принят.<br/>";
echo $fs2;
} else {
$db->sql_query ("INSERT INTO vote_photo (user_id,vote_id,znak) VALUES ('$inf[id]','$user[id]','".intval($_GET['vote'])."')");
header ('Location: photo'.$inf['id'].'?'.SID);
}
}
}
}


$v0=$db->sql_fetchfield($db->sql_query("select count(*) as num from vote_photo where user_id = '".$inf[id]."'"),0);
$v1=$db->sql_fetchfield($db->sql_query("select count(*) as num from vote_photo where user_id = '".$inf[id]."' and znak = '1'"),0);
$v2=$db->sql_fetchfield($db->sql_query("select count(*) as num from vote_photo where user_id = '".$inf[id]."' and znak = '0'"),0);
$db->sql_query('UPDATE `users` SET `vote_photo` = "'.($v1-$v2).'" WHERE `id` = "'.$inf[id].'" LIMIT 1');

echo '&#160;Рестинг фото: <b>'.($v1-$v2).'</b><br />
&#160;Голосов: <b>'.$v0.'</b><br />
&#160;Положительных: <b>'.$v1.'</b> ('.round(100-(100/($v0/$v2))).' %)<br />
&#160;Отрицательных: <b>'.$v2.'</b> ('.round(100-(100/($v0/$v1))).' %)<br />';

if ($user['posts']<$set['posts_vph'])echo '&#160;<b>Голосовать можно с '.$set['posts_vph'].' постов!</b><br />';
else{
if ($inf[id]!=$user[id])echo '&#160;&#160;&#160;&#160;&#160;<a href="'.H.'photo'.$inf['id'].'?vote=1"><img src="'.H.'img/plus.gif" alt="*"/> Плюс</a> | <a href="'.H.'photo'.$inf['id'].'?vote=0"> Минус<img src="'.H.'img/minus.gif" alt="*"/></a><br />';}


if ($_GET['err']==1)echo '<b>Сообщение должно быть длиннее 3 символов!</b>';
if ($_GET['err']==2)echo '<b>Вы не можете оставлять комментарии, т.к. находитесь в черном списке '.$inf[user].'.</b>';
echo '<br />';
if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post=$db->sql_fetchfield($db->sql_query("select count(*) as num from komm_photo where user_id = '".$inf['id']."'"),0);
$k_page=k_page($k_post,$max);
$page=page($k_page);
$start=$max*$page-$max;

$r = $db->sql_query ("Select * from komm_photo where user_id = '".$inf['id']."' order by time desc LIMIT $start, $max");
echo '<br />';
if (($max*$page)<$k_post) $maxi = $max*$page; else $maxi = $k_post;
echo menu.'<b>Комментарии к фото:</b>'.div.'показаны записи '.($start+1).'-'.$maxi.' из '.$k_post.'<br /><br />';
if ($k_post == 0)echo 'Комментариев пока нет...<br />';

$post_k=$start+1;
while($a = @$db->sql_fetchrow($r)){
if($inf[id]==$user[id] || $user[level]>=5)$delk = '<a href="'.H.'photo'.$inf['id'].'?delk='.$a['id'].'">[X]</a>';
echo links.'<b>'.nik($a['mgs_id']).'</b> '.$delk.' ('.times($a['time']).')'.div;
echo '&#160;'.smiles(antir(antim(bbcode(br($a['msg'])))))."<br/>";
echo '<dl></dl>';
}
if ($k_page>1){
echo "<dl><dt></dt></dl>";
str(H.'photo'.$inf['id'].'?',$k_page,$page); // Вывод страниц
echo "<dl><dt></dt></dl>";
}

if (user_inf($inf[id],'pp_f_s')==2){echo '<br /><b>'.$inf['user'].'</b> запретил оставлять комментарии к его фото!<br />';
}else{
if (user_inf($inf[id],'pp_f_s')!=1 || friends($inf[id],$user['id'])==1){

if ($ver!='wml')echo '<form action="photo'.$inf['id'].'?'.SID.'" method="post">';
if ($ver=='wml')echo 'Ваш комментарий:<br /><input name="msg'.$ref.'" maxlength="15" title="Text"/><br/>';
else echo 'Ваш комментарий:<br /><textarea cols="'.$user['pole2'].'" rows="'.$user['pole1'].'" name="msg" ></textarea><br/><br />';
if ($ver=='wml'){
echo '<anchor title="go">Добавить<go href="photo'.$inf['id'].'?'.SID.'" method="post">';
echo '<postfield name="msg" value="$msg'.$ref.'"/>
</go></anchor><br /><br />';
;
}else{
echo '<input type="submit" class="ibutton" value="Добавить"/></form><br /><br />';
}

}else{echo '<br />Писать комментарии могут только его друзья!<br />';}
}

if (isset($_POST['msg'])){
if (strlen2($_POST['msg'])<3){header ('Location: photo'.$inf['id'].'?err=1&'.SID); exit;}
if (ignor(user_inf($inf[id]),$user['id'])==1){header ('Location: photo'.$inf['id'].'?err=2&'.SID);  exit;}

if (user_inf($inf['id'],'ph_notify')==1){
if ($user['sex']==1)$sex = 'оставил'; else $sex = 'оставила';
$msg = 'Пользователь [b]'.$user['user'].'[/b] '.$sex.' комментарий к вашему [url=/photo'.$inf['id'].']фото[/url].';
$db->sql_query ("INSERT INTO privat (user,user_id,to_user,to_id,time,msg) VALUES ('$user_system','0','".user($inf['id'])."','".user_inf($inf['id'])."','$time','$msg')");


$msgmail = "".$user['user']." ".$sex." комментарий к вашему фото.\n Просмотреть запись можно на Вашей странице:\n http://".$_SERVER['HTTP_HOST']."/photo".$inf['id']." \n\n С уважением,
Администрация ".$_SERVER['HTTP_HOST']."\n_ _ _ _ _\n
Вы можете поменять настройки e-mail оповещений на странице:
http://".$_SERVER['HTTP_HOST']."/my/setting?mod=notify";
$mail=explode('|',user_inf($inf['id'],'mail'));
addmail($mail[0], $user['user'].' '.$sex.' комментарий к вашему фото', $msgmail);
}
if ($user['translit']==1)$_POST['msg'] = translit($_POST['msg']);
$db->sql_query ("INSERT INTO komm_photo (user_id,mgs_id,msg,time) VALUES ('$inf[id]','$user[id]','".check($_POST['msg'])."','$time')");
posts_add();
header ('Location: photo'.$inf['id'].'?'.SID);

}

if (isset($_GET['delk'])){
if ($user[level]>=5){
$db->sql_query("DELETE FROM `komm_photo` WHERE `id` = '".intval($_GET['delk'])."'");
}else{
$db->sql_query("DELETE FROM `komm_photo` WHERE `id` = '".intval($_GET['delk'])."' and user_id = '$user[id]'");
}
header ('Location: photo'.$inf['id'].'?'.SID);

}

echo '<br />';
echo gb.'<a href="'.H.$inf[id].'">В анкету</a>'.div;
echo gb.'<a href="'.H.'enter?">Прихожая</a>'.div;
foot();
?>